Overview

WinScan

Version 2.05

WinScan is a program to control SBIG CCD-Cameras with parallel port, USB or Ethernet. It offers features like taking drift scan images, standard images (stare mode), sub array images, speckle images, fast scan images and to use a fast focus function. It is tested with a ST-7 and a ST-8 (parallel port).
This program is a beta version
WinScan is specialized to take drift scan images, for standard images better use an other program
The sub array image, speckle image, fast scan image and fast focus functions are experimental

WinScan 2.06 will run at Windows 95, 98 or Me,
and at NT, 2000 or XT .

WinScan needs a computer with a Pentium or compartible processor.
Using SpeedStep processors the speed step feature must be disabled.


Index

WinScan

Content:

How to take images:

Overview

warranty/licence / e-mail address of the author
Install WinScan
Esteblish Link - connect the camera to the computer
Change the settings before taking an image
Take a standard image
Take a drift scan image
Take a speckle image
Take a fast scan image
Take a sub array image


Install

 WinScan needs a computer with a Pentium or compartible processor.

WinScan 2.06 will run at Windows 95, 98 or Me,
and at NT, 2000 or XT .

To install WinScan,
copy the selfextracting archive wscan26.exe to c:\ (or to an other drive) and open it.
It will unpack to \wscan26 .

The winscan directory will now contain the winscan.exe file, some other files and some sub directories
You should first install the latest version of CCDOPS and see if your camera works.
Use SBIGDriverChecker.exe to install the latest drivers or to check if they are installed.
By installing the latest version of CCDOPS, this drivers may be already installed.

Files in the \SBIG Drivers sub directory:
SBIGUSBE.SYS, SBIGULDR.SYS
These files are the low-level USB driver and firmware loader. When you plug-in a USB camera the system will ask you for the location of the drivers. Find the SBIGUSBE.INF file and the system will install these files in the \WINDOWS\SYSTEM32\DRIVERS directory under Windows 9X and in the \WINNT\SYSTEM32\DRIVERS directory under Win NT/2000.
SBIGUSBE.INF
This is the USB driver information file as mentioned above.
SBIGDriverChecker.exe – This is a utility program that checks the drivers installed on a system against the latest drivers in the SBIG Drivers directory. It reports whether the drivers installed are current and allows you to update all drivers with a single click of the Update button. You should distribute this program and the SBIG Drivers directory with your code s users can install the latest drivers.
This utility needs to be run in Administrator mode and depends on the SBIG Drivers directory being in the same directory as the utility. Also note that if you try to run this program from your installer and you get the error message “Could not find the SBIG Drivers” it’s because the Installer is not setting the current working directory to the utility directory. You can get around this if pass this program a command line argument with the full path to the utility. For example if these items are installed into the “C:\winscan” directory pass the SBIGDriverChecker.exe utility “C:\winscan\SBIGDriverChecker.exe” without the quotes as the command line argument.
SBIGUDRV.DLL - This is a 32 bit Windows DLL.
SBIGUDRV.VXD - This is a protected mode low-level driver for 32 bit
Windows 95/98/Me that is used in conjunction with the SBIGUDRV.DLL.
SBIGUDRV.SYS – This is a low-level driver for Windows NT/2000 that is used in conjunction with the SBIGUDRV.DLL.
SBIGUSBE.SYS, SBIGULDR.SYS – These files are the low-level USB driver and firmware loader. Please refer the Installing USB.PDF Application Note for how to install these drivers.
SBIGUSBE.INF – This is the USB driver information file.
Check the SBIG homepage from time to time for the latest drivers:
ftp://ftp.sbig.com/pub/SBIGDriverChecker.zip (extern link)
To save oberving time, you may now make some tests without attaching the camera to the telescope.

To deinstall WinScan:
Copy your images taken with WinScan, if they are stored in a sub directory of winscan, to an other directory.
Then delete the winscan directory (containing winscan.exe)

The drivers may be still needed by CCDOPS or other CCD-Control programs, see CCDOPS how the deinstall the drivers.
The decimal separator in the whole program is "." (independent from the Settings in Windows)
Using a SpeedStep processor the speed step feature must be disabled, the frequency of the CPU must not change, while WinScan is running.
See: (extern link)
WinScan needs a Pentium or compartible processor (like > AMD K5 ), some of the older Cyrix CPUs, including the 5x86 and at least some of the 6x86 models, don't include the RDTSC instruction, WinScan will not run on a CPU that doesn't include RDTSC.
The Pentium 4 has a Termal Monitor with a clock modulation portion, it that clock modulation portion is active, it may affect the timer when a critical termperature is reached, just check if the intern timer of WinScan works properly.


warranty

This program is written by Christoph Flohr.(not by SBIG) It is using drivers from SBIG. It can be used to take drift scan images (TDI= time delay integration) with a ST-7 or ST-8 CCD camera from SBIG, it should also work with other cameras form SBIG, (only those witch use the parallel port or USB or Ethernet), but the program is only tested with a ST-7 and ST-8. If you got it work with other SBIG CCD-Cameras, please tell me about your experiences with it. This program is a beta version. All rights reserved. Private use of this version is free. No warranty. The author assumes no liability for damages, direct or consequential, which may result from the use of WinScan .
Please send me all your remarks / comments / questions as an e-mail to :
My E-Mail address
If there are problems with WinScan, please send me a description of the problem and the *.ini file saved with the image.

My homepage (extern link)
It would be kind, if you send me your experiences with my program (Information's to: Camera, telescope, computer, limiting mag) some comments, links to images taken with WinScan or so. It would be great, if you set a link to my homepage. If you send me your URL, I will set a link to your homepage.

Christoph Flohr
Osterstr. 29

D 30880 Laatzen
Germany


Take a standard image

This program is specialized to take drift scan images, better use an other program to take standard images
First, connect the camera with the computer using the parallel port.
(or Ethernet adapter or USB if you have a camera with an USB port) Then start the program.
If the Camera is not found, check Camera- Settings Computer Settings - Computer
Or press: Search camera
Check all Settings before starting a the image
Change Time Date: Check Time and Date and Time Zone
Settings Temperature: Check the settings related to the temperature regulation
Settings Information: Fill in some information's to be stored in the file info
Settings Computer: Address of the parallel port, directory to store the images, control image
Settings Change the settings before taking an image
To take a standard image the settings in the Settings Form should be set like this in most cases:
Declination, Focal Length, Sidereal Rate - no entries required.
CCD - imaging CCD (or tracking CCD)
Binning - 1 x 1 binning in most cases
On Chip binning in most cases
Planetary mode - No
(only vertical planetary mode in this program)
Focus (check Box) - not checked
If you do not want to save the image(s), check the Focus check box, setting Auto Grab , number of images to a high number like 100, you may search for an object slewing the telescope, without saving any images to the hard disk
light or dark frame - light frame
If you want to darksubstract, using an other program (not implemented in this program), you may also take a dark frame, then dark frame must be selected.
Auto Grab number of images - 1 or more
Brake during taking an image - enabled

At the bottom of the form at the left, there is a Page Control
Chose the Standard Tab Sheet
Exposure Time - > 0.11 , < about 3600

The settings may be saved.
after checking all entries, leave this form

Chose Camera - Take standard image
The program will ask for a file name to store the image , fill in a file name
The standard image will be started
The image can be stopped, pressing ESC.
A control image will be shown after the image is taken
Downloading the image can be stopped, by pressing ESC
After the image is complete, a message is shown


Take a drift scan image

First, connect the camera with the computer using the parallel port.
(or Ethernet adapter or USB if you have a camera with an USB port) Then start the program.
If the Camera is not found, check Camera- Settings Computer. It is assumed, that the camera is focused and orientation of the camera is checked, see:
Orientation of the camera
Then start the program.
If the Camera is not found, check Camera- Settings Computer. Settings - Computer
Check all Settings before starting a drift scan image:
Change Time Date: Check Time and Date and Time Zone
Settings Temperature: Check the settings related to the temperature regulation
Settings Information: Fill in some information's to be stored in the file info
Settings Computer: Address of the parallel port, directory to store the images, control image
Settings Change the settings before taking an image
To take a drift scan image the settings in the Settings Form should be set like this in most cases:
Declination - fill in the exact declination
Focal Length - fill in the exact focal length
Sidereal Rate - should be 1.0
CCD - imaging CCD
Binning - 1 x 1 binning in most cases (except very long focal length, ST-7 >4000 mm, ST-8 > 2000 mm )
On Chip binning
Planetary mode - No
Focus (check Box) - not checked
Light or dark frame - light frame
Auto Grab number of images - 1
Brake during taking an image - enabled

At the bottom of the form at the left, there is a Page Control
Chose the Drift Scan Tab Sheet
Time per line s - is calculated
Fixed - do not check that
Mark: Number of lines to read
Set Number of lines to read to about 10000
Time for the whole image s - is calculated

The settings may be saved.
After checking all entries, leave this form

Chose Camera Take drift scan image
The program will ask for a file name to store the image , fill in a file name
The drift scan image will be started
A control image will be shown
The image can be stopped, by pressing ESC
After the image is complete, a message is shown


Sub array images

Take a sub array image

This is an experimental feature.

A sub array image can be used to take images of double stars or other bright objects.
The principle is similar to a frame transfer CCD
The shutter is opened, after about 30 ms the lines of the CCD are shifted in the direction of the readout register(that lines are dumped), then the next sub array is exposed and so on until the CCD is filled
Then the image is transferred to the computer
Example: ST-7, Tracking CCD, Height Sub array 10:
You get the object 16 times on the frame.

The tracking of the telescope is on.
Place the object you want to expose, near the bottom of a standard image ( That is opposite to the readout register).
There should not be any other bright objects at the same columns.
Chose Camera - Settings menu.
Declination, Focal Length, Sidereal Rate no entries required for this kind of imaging.
CCD - imaging CCD or tracking CCD, using the tracking CCD the time to shift the lines is shorter, so there should be less streaking in the image.
Binning - 1 x 1 binning in most cases to get a high resolution, other binning modes may be also possible.
Planetary mode - It is not necessary to use the planetary mode (the time to shift the lines will not decrease in using planetary mode) Focus (check Box) - not checked Light or dark frame - light frame Auto Grab number of images - 1 or more Brake during taking an image - enabled At the bottom of the form at the left, there is a Page Control Chose the Sub Array Tab Sheet Exposure Time per Sub Array - should be about 0.03 s
Height Sub Array - depends on the size of the object
After checking all entries, leave this form.
Then chose: Camera - Take Sub Array image.
It is asked for the file name and the exposure is started.


Speckle images

Take a speckle image

This is an experimental feature.

A speckle image can be used to take images of double stars or other bright objects.
The shutter is opened, after about 30 ms some lines (height of the sub array) of the CCD are read out line by line, all lines will be stored, then the next sub array is exposed and so on
The difference to a sub array image is, that there can be taken much more sub arrays
The time to read out the lines is longer than to dump the lines, so there will be more streaking in the image, but this streaking can be removed.
The tracking of the telescope is on.
Use the tracking CCD, place the object you want to expose, near the right side of the image .
There should not be any other bright objects at the same columns.
Chose Camera - Settings menu.
Declination, Focal Length, Sidereal Rate no entries required for this kind of imaging.
CCD - imaging CCD or tracking CCD, use the tracking CCD, the time to shift the lines is shorter, so there should be less streaking in the image.
Binning - 1 x 1 binning in most cases to get a high resolution, other binning modes may be also possible.
Planetary mode - Use the planetary mode to get a higher read out speed and less streaking.
Focus (check Box) - not checked
Light or dark frame - light frame
Auto Grab number of images - 1 or more
Brake during taking an image - enabled or disabled or ESC key
Esc key or disabled are only avalible when using Windows 95,98 or Me.
At the bottom of the form at the left there is a Page Control
Chose the Speckle Tab Sheet
Time per line - using the tracking CCD about 0.001 sec per line, make some tests
Number of lines to read - about 10000 or more
Store first to memory - should be checked
Exposure Time per Sub Array - should be about 0.03 s
Height Sub Array - depends on the size of the object
After checking all entries, leave this form.
Then chose: Camera - Take Speckle image.
It is asked for the file name and the exposure is started.


Fast scan

Take a fast scan image

This is an experimental feature.

A fast scan image can be used to observe occultation's of stars by the moon or flare stars.
The technique is like a drift scan image, but the telescope drive is on, the CCD is read out with a high speed, so you get a trail of the object, showing differences in the brightness of the object.
The tracking of the telescope is on.
Use the tracking CCD, place the object you want to expose, near the right side of the image .
There should not be any other bright objects at the same columns.
Chose Camera - Settings menu.
Declination, Focal Length, Sidereal Rate - no entries required for this kind of imaging.
CCD - imaging CCD or tracking CCD, use the tracking CCD, the read out speed will be higher.
Binning - 1 x 1 binning in most cases to get a high resolution, other binning modes may be also possible.
Planetary mode - Use the planetary mode to get a higher read out speed
Start - the first column to read out
Length - the number of columns to read (about 20)
Focus (check Box) - not checked
Light or dark frame - light frame
Auto Grab number of images - 1 or more
Brake during taking an image - "only Esc key" recommend, enabled or disabled,are also possible, "only Esc key" or "disabled" the precision of the timing will increase
"only Esc key" or "disabled" are only avalible when using Windows 95,98 or Me.
Using NR, 2000 or XP you may change the priority of WinScan, see: Change Priority
At the bottom of the form at the left, there is a Page Control
Chose the FastScan Tab Sheet
Time per line - using the tracking CCD about 0.0013 sec per line, make some tests, check the timestamp file
Number of lines to read - about 10000 or more
Store first to memory - should be checked
After checking all entries, leave this form.
Then chose: Camera - Take Fast Scan image.
It is asked for the file name and the exposure is started.


Fast Focus

Fast Focus feature

This is an experimental feature.

This feature can be used to focus.
The CCD is read out with a high speed, you get a trail of the object.
This trail is evaluated in time and the results are shown on the screen.
The tracking of the telescope is on.
Place a bright object on the CCD(about mag 1), near the top of a standard image.
There should not be any other bright objects at the same columns.
At fist, when starting the fast focus function, a FastSearch function is used to find the brightest object on the CCD, the start of the planetary mode then is set automatically.
Chose Camera - Settings menu.
Declination, Focal Length, Sidereal Rate no entries required for this kind of imaging.
First select the FastFocus Tab Sheet!!!, there are used different settings for this
CCD - imaging CCD or tracking CCD - the CCD you want to use
Binning - using the imaging CCD of a ST-7 or ST-8 1 x 3 vertical binning - should be used
Planetary mode - Start 50, Length 40
Focus (check Box) - not checked
Light or dark frame - light frame
Auto Grab number of images - 1
Brake during taking an image - enabled
At the bottom of the form at the left, there is a Page Control
Chose the FastFocus Tab Sheet
Time per line - about 0.0015 sec per line, depends on the brightness of the object, may be set to a low value

There are also some entries required for the fast search mode:
First select the FastSearch Tab Sheet!!!, there are used different settings for this
CCD - imaging CCD or tracking CCD the same CCD selected for FastFocus
Binning - using the imaging CCD of a ST-7 or ST-8 3 x vertical binning , 6 lines- should be used
Planetary mode - No
Focus (check Box) - not checked
Light or dark frame - light frame
Auto Grab number of images - 1
Brake during taking an image - enabled
At the bottom of the form at the left, there is a Page Control
Chose the FastSearch Tab Sheet
Time per line - about 0.0015 sec per line, depends on the brightness of the object

Then chose: Camera - FastFocus
An other form is shown.
You can change some settings in this form.
Press the Start button.
To stop press ESC .
After starting, the values of FHWM, Moment, Peak value and a 2D profile of the trail are shown.
The easiest way is, to look at the 2D profile and change the focus, until you get a small profile
Or look at the values until the values of FHWM and Moment are at the minimum and the value of the Peak value is at the maximum.


WinScan Form

Properties of the main form of the program:
At the top there is a menu with the items: File, Camera, View, Time, Help.
At the bottom there is a status line, showing the camera state.
At the form you see some buttons for often needed functions.
During the exposure of a standard image the left time is shown.
Most functions of the WinScan can started by pressing a button or by the main menu
The screensaver may be disabled (or enabled) while using this program.(It is reset, when WinScan is closed)


Exit

Choose File- Exit to leave the program.
The settings will be saved in the default .ini file.
The images are saved while they are taken, the image name is requested before taking an image.
If the temperature regulation is On, it will be asked, whether it should be shut down. (If you want to take more images, using an other CCD control program, it may be left on)


Establish Link

Establish Link / connect the camera to the computer

First connect the camera with the computer using the parallel port and connect it with the power supply.
This program supports only SBIG cameras using the parallel port.
Then start the program. If the camera is found, this is shown in the status line, if not, it is shown an error message. Then the program uses the values of a ST-7, but only for informational propose.
To Establish Link use : Camera- Establish Link.
If that does not work, change the settings for the parallel port at: Camera- Settings Computer.
Change the values of the parallel port and try to Establish Link again.


Settings

Before taking an image the Settings should be changed. The Settings are saved, when the program is quit. The Settings can be saved in a different file. The settings are changed at: Camera- Settings, or Settings Computer, or Settings Temperature, or Settings Information's. All that Settings are saved in the same file and can be saved or loaded at Camera - Settings. Saving every image, a file with the Settings is saved with the same file name as the image, but with the extension: .ini .(Only if that item is checked at Settings Computer). Taking an image, it is only asked for the filename of the image, the settings must be changed before.
There are the following forms to change Settings:
Camera-Settings

Camera - Settings Computer

Camera - Settings Temperature

Camera - Settings Information's


Settings 1

Settings

Camera-Settings:
How to make entries:

Edit Fields:
Colors:
White: | In this edit field it can be made an entry
Yellow: | The entry in this edit field is suspect and should be checked again
Red: | The entry is not valid. (like chars where are numbers required, real numbers where are integer values required, put in real numbers like 1.1 or the number is out of the range) The decimal separator in this program is "."
Grey: | No entry possible, informational propose

It can be made the following entries:

In the top of the form, important for drift scan images:
Focal Length | put in the focal length of the telescope
Declination | put in the declination the telescope is pointing to
Sidereal Rate | should be 1
under that edit fields, the radio buttons for binning:
Imaging or tracking CCD | chose imaging or tracking CCD, in most cases the imaging CCD
Binning: | 1x1 , 2x2 or 3x3 binning
Binning: | On Chip (default), Off Chip - to prevent blooming, Vertical- for special applications
Readout Mode: | is set by the previous radio buttons
Planetary mode: | the columns you want to read from the CCD, in most cases No planetary mode
Focus: | if that is checked (yellow), the image(s) will not be saved
Vertical Binning: | how many pixels in one column are binned
In the right you will see some gray edit field which show some values, depending on the CCD, Binning and Focal length (only information's)
Near that fields, it can be made the following entries:
light or dark frame | Light frame for an image(shutter open), dark frame(shutter closed) to take a dark frame you can use dark subtraction with an other program
Auto Grab, number of images: | there are taken many images, the file names are extended like: image_.st7 to image_01.st7 , image_02.st7 ... If you take many sets of images, chose different file names like: image_a_ , image_b_ ...
freeze cooler regulation for readout : | no temperature regulation, when the image is red out, may be set for standard images
Enable break / only Esc key / disable | If break is disabled, or the "only Esc key " button is chosen, the precision of the timing is higher. If "Enable break" is chosen, you can stop the image by pressing the Esc key on the keyboard or clicking with the mouse on the Esc button on the Control image form. If disable is chosen, there is no way to stop an image, even if it takes very much time. If "only Esc key" is chosen, the image can be stopped only by pressing the Esc key on the keyboard. This function is not tested on many computers and I think, it will not work with with USB keyboards, so tell me, whether it works or not.
At the left there is a Page Control showing many Tap Sheets for different kinds of images:
The settings outside of the Page Control, and some settings in the Page Control are for all kinds of images (except Fast Focus and Fast Search), if you want to take an other kind of image, check all settings !
Drift Scan | For drift scan images
Standard | Standard , stare mode images, telescope must follow the star
Sub Array | For double stars or so, place the object at the bottom of a standard image prefer tracking CCD, telescope must follow the star
Speckle | For double stars or so, place the object at the bottom of a standard image, like sub array, but much more lines, but some streaking will appear, prefer tracking CCD, telescope must follow the star
Fast Scan | To observe occultation's of stars by the moon or so, prefer tracking CCD, telescope must follow the star
Fast Focus | To focus the telescope, place a bright star near the top of a standard image (about mag 1), the CCD is read out very fast, and the trail is evaluated in time, no image is saved, use planetary mode, length about 40- see Fast Search also
Fast Search | To find the columns the star is placed at , it can be used vertical binning like 3x12 , Fast Search is called automatically before Fast Focus
Entries in the Tab Sheets:
:
Drift Scan:
Time per line: | This is calculated by Focal Length, Declination, Sidereal Rate and pixelsize. If Fixed is checked it is not calculated any more and you can make an entry in this edit field.
Number of Lines: | Input the number of lines to read, if that item is checked, about 2000 or 4000 or as much as you want. The time of the whole image is calculated, if this item is checked.
Time for the whole image | Input the time the image may last, if this item is checked, the number of lines to read in is calculated
store first lines | If this is checked, the first lines are stored on the hard disk. You will get ramping at the start of the image. If this is unchecked, form the number of lines to read in, the first lines (height CCD) are not saved. (no ramping at the start) (if you are using a frame transfer CCD like the ST-237(not tested) this should be unchecked, as there is no data in the storage array, (discarding the first lines (image array) of a frame transfer CCD is not implemented) )
read last lines | If this is checked, the shutter is closed, when the wanted number of lines is read in, and the number of lines on the CCD are read in (So you will get ramping at the the end of the image, useful for images with short focal length, like stardial ) (if you are using a frame transfer CCD like the ST-237 (not tested) this should be checked, as there is still data without ramping in the storage array (reading the rest of the lines of the image array of a frame transfer CCD is not implemented) )
Load Default | Load the special default file with settings for drift scan imaging
Save as Default | Save the settings in the special default file for drift scan imaging
There are some fields at the right which showing some information's, different trailing should be less than 1-3 pixels
There is a button to start a form simulating differential trailing.
Darksubtraction and flat field correction is not implemented in WinScan.
Standard:
Settings for a standard image:
Exposure Time | In seconds
Load Default | Load a special default file with settings for standard image
Save as Default | Save the settings in a special default file for standard images
Sub Array:
Settings for a Sub Array image:
Exposure Time per Sub Array | The time, until one sub array is shifted height pixels in the direction of the readout register, should be about 0.03 sec
Height Sub Array | In pixels, if the CCD is 162 pixels height and the height of the sub array is 10 you get 16 sub arrays
Load Default | Load the special default file with settings for Sub Array imaging
Save as Default | Save the settings in the special default file for Sub Array imaging
Speckle:
Settings for a Speckle image:
Time per line: | Using the tracking CCD it should be set to about 0.0015 sec or less (check the time stamp file), time to read out one line, after reading out a sub frame is started
Number of lines to read | How many lines should be read out, until the image is stopped, (about 3000 or more)
Exposure Time per Sub Array | The time, delaying with the readout , should be about 0.03 sec , should be a multiple of the Time per line.
Height Sub Array | In pixels, after reading in n lines (height sub array), the program waits for the exposure time per sub array.
store first to memory | Enables a faster readout, number of lines should not be to huge, the size of the memory needed for that, is shown.
Set to defaults | Set to the defaults for this kind of image
Load Default | Load the special default file with settings for Speckle images
Save as Default | Save the settings in the special default file for Speckle images
Fast Scan:
Settings for a Fast Scan image:
Time per line: | Using the tracking CCD it should be set to about 0.0015 sec or less (check the time stamp file), time to read out one line
Number of lines to read | How many lines should be read out, until the image is stopped, (about 3000 or much more)
Load Default | Load the special default file with settings for Fast Scan images
Save as Default | Save the settings in the special default file for Fast Scan images
The Settings for a Fast Focus/Search are saved in different files
Fast Focus:
Settings for Fast Focus
Time per line: | Using the tracking CCD it should be set to about 0.0015 sec or less, time to read out one line, using a bright star it may be set to a small value, it may be also used the imaging CCD
Load Default | Load the special default file with settings for Fast Focus
Save as Default | Save the settings in the special default file for Fast Focus
Fast Search:
Settings for Fast Search
Time per line: | Using the tracking CCD it should be set to about 0.0015 sec or less, time to read out one line, using a bright star it may be set to a small value, it may be also used the imaging CCD.
Load Default | Load the special default file with settings for Fast Search
Save as Default | Save the settings in the special default file for Fast Search


Settings Temperature

Use that form to set and control the temperature.

You should check this form, every time you start the program
Temperature regulation: Set it On or Off (check the Setpoint also)
Setpoint: Fill in the temperature in one of the white Edit fields. ( You may use Celsius, Fahrenheit or Kelvin). (Chose a temperature <0° Celsius, the power should be < 90 %, after reaching the temperature )
The decimal separator in this program is ".".
After doing that, press the "Change Setpoint" button.
If you see a red label left of this button, the setpoint in the CCD differs from the Setpoint in the white Edit field, so press the button.

When you exit the program, you will be asked, if you want to shut down the temperature regulation.
You can keep it on, if you only want to start an other CCD- control program (CCDOPS or so) .
If you want to stop CCD - imaging you should shut down the temperature regulation.

freeze regulation: The cooler will work on a constant power without regulating the temperature. (Should not be used)
unfreeze regulation: The cooler will be regulated on a constant temperature again

The Edit fields are showing information's related to the temperature regulation.

Cool down slowly: Cools down with a power of maximal 80 % until a deep temperature is reached with that power. Then the setpoint is set to the next higher temperature t mod 5 = 0 , like -25 , -20, -15 ... .
Warm up slowly: Warms up slowly and then shuts of the temperature regulation.
Stop: Stops "Cool down slowly" or "Warm up slowly".
In the ListBox at the right the temperature of the CCD and the power are added every 10 sec, when using the "Cool down slowly" function.


Settings Information's

Use that form for information's which should be stored in the file header of the image file .

Decimal Separator in win scan is "."

Observer: The name of the observer
Aperture: The aperture of the telescope in inch ^2
Right Ascension:(RA)
RA and DEC are related to the epoch J2000.
If you do not know the RA, set it to 1000 and check the RadioButton "fixed RA", then the DEC will be related to the current epoch, then fill in the DEC of the epoch of the current time and date. ( in the Settings Form)
"Chose RA Position telescope, related to time and date" A form will be shown(Set Ra, DEC, Time, Date Form), where you can fill in the RA and DEC of the centre of the CCD at special time and date. (when you shut of the clock drive of the telescope for example) . ( epoch J2000) The value of the RA and DEC of the center of the image will be calculated form that values, after the image is compleate and will be stored in the file header (epoch J2000) . Astrometrie programs may use that value.
The seconds per line (in the Settings Form) will be calculated by calculating the DEC of the current epoch form the RA and DEC and Time and Date you filled in that form.
After you did so, you may press the: "Show RA now" button : Shows the RA, the telescope points to at the current time and date.
"RA 2001-01-01 00:00:00.000 " button: Shows the RA, the telescope pointed to at 2001-01-01 00:00:00.000. (to test something)
"Calculate RA, Time , Date " button: You may calculate the RA and DEC the telescope will point to at an other time and date, or the time and date the telescope will point to a special RA, or slew \"Guide\" to the position of the telescope (epoch J2000)

Right Ascension (standard image, stare mode):
Fill in the RA, if you take a standard image, clock drive of the telescope on.

RA from:
Fixed telescope:
The RA is always calculated form the values you filled in in the "Set Ra, Time, Date Form"(drift scan images)
Automatic: (default)
Drift scan images: The RA is calculated form the values you filled in in the Set Ra, Time, Date Form.
Other images: RA form the "Right Ascension (standard image, stare mode)" field.
Fixed RA:
RA form the "Right Ascension (standard image, stare mode)" field.

Rotation (counterclockwise)(fits):
For drift scan images this must be 90.0. This information will be stored in the fits file header.

Note: A note related to the image
Filter: If a Filter is used, fill in the name of the filter. Changing the filter by the filter wheel is not implemented in WinScan so far. You may use CCDOPS for DOS to change the filter and fill in the name of the filter after doing that.

The folowing items are only saved in fits file format:
(and in the ini files) (not in STx files)
Comment: an additional comment
Object: An object on the image. like "M-89"
Telescope: Which telescope was used, like: "6 -inch f/f reflector"


Set RA, Time, Date

Set Ra, DEC, Time, Date

This form will be shown, when you press the "Chose RA, DEC, Position telescope, related to time and date" button on the "Settings Informations" form.

The RA of an image can be stored in the file header.
The DEC will be also stored in the file header
All values of RA and DEC are related to the epoch J2000
If you change the DEC in this form and press OK , the Settings Form will be shown (to calculate sec per line) (just press "Hide" in that form)
If the telescope is fixed, and the RA (and DEC) is known for one time, the RA (and DEC) can be calculated for every time, and will be stored in the file header.
If you are using a telescope, pointing to a fixed position at the sky, or if you are using some known positions (marked at the setting circles) , then you can use this form to set the RA (and DEC) and the related Time and Date.
If you are using a telescope with a clock drive, you can fill in the RA, DEC, Time and Date when you shut of the clock drive. The time and date must be related to the same time zone, WinScan uses (should be UT)
You can add RA and Time and Date to the ListBox and store it. (for example, if you marked some positions at your setting circles)
You can chose an item form the ListBox
You can take a drift scan image, (larger then 2 * Height_CCD), use ViewScan to calculate the RA, DEC and store it.
Or take a standard image and use an other astrometrie program which stores the RA and DEC in the file header
The RA, DEC and Time and Date of this image can be read by pressing " Get RA,DEC, Time,Date form image"
Check the RadioButton " drift scan" if you read RA, time and date from a drift scan image
The RA, DEC is the RA, DEC of the center of the CCD
or of the center of the image at the midexposure time of the center of the image
After chosing RA, DEC,Time and Date (shown in the Edit fields), press OK

Comment:(EditField) Comment to store in the ListBox. (example: Position number on the setting circles )
DEC:(EditField) Fill in the DEC of the centere of the CCD.
RA:(EditField) Fill in the RA of the centere of the CCD.
Date: (EditField)Fill in the Date related to the RA. (check time zone in the Time Date From)
Time: (EditField)Fill in the Time related to the RA.(check time zone in the Time Date From)
Now: (Button) The time now is filled in.
Help: (Button) This form is shown.
Add to ListBox: (Button) RA, DEC, Time, Date, Comment will be added to the ListBox.
Get RA, DEC, Time, Date from selected item in the ListBox: (Button) copies the values to the EditFields.
Get RA, DEC, Time, Date form image: Reads / calculates the values from an image, in the header of that image RA and DEC must be stored (by an astrometrie program like ViewScan)
drift scan / standard : (RadioButtons) Select if the image, form which you want to read in the values is a standard or a drift scan image.
Save to : (Button) Save the ListBox to a file.
Load from : (Button) Loads ListBox form a file.
Clear ListBox: (Button) Clears the ListBox.
Delete selected: (Button) Deletes the selected item in the ListBox.
OK (Button) When you are ready, press this button to use the values in WinScan.
Cancel (Button) Do not change the values - discard changes in this form

( The epoch for RA,DEC is J2000.0 .(like in all new catalogs) The precession is regarded, not aberration and nutation . Changes in the refraction are not calculated.
The accuracy should be better than 1 '' in one year .The DEC will be also calculated new, but it will change noticeable only after years. It is recomended to read in the RA, DEC, Time, Date form a new image from time to time.
The sec per line (readout rate, SHIFTIME) in the Settings Form is calculated like this: Check if the RA is < 750 . If not, it is assumed that the DEC in the Settings form is the DEC of the current epoch. If the RA is <750, calculate the current RA, DEC from the RA, DEC, Time, Date set in this form. Form this RA, DEC (epoch J2000) the DEC of the current epoch is calculated and form this DEC the sec per line is calculated. )


Calculate RA, DEC Time, Date

 press the "Calculate RA, Time , Date " button on the "Settings Informations" form to show this form.
Calculate RA, DEC form time and date or time and date form RA
The RA, DEC of an image can be stored in the file header.
If the telescope is fixed, and the RA, DEC is known for one time, the RA, DEC can be calculated for every time, and will be stored in the file header.
If you are using a telescope, pointing to a fixed position at the sky, or if you are using some known positions and you have set RA, DEC and time and date realted to it then you can use this form to calculate the RA, DEC from time and date or time and date form RA, DEC
( fill in RA, DEC and time and date now, the next time and date the telescope points to the RA is calculated)
The time and date must be related to the same time zone, WinScan uses (should be UT)
You can get the RA, Dec form the PC program "Guide" or you can slew Guide to the RA, Dec you filled in or calculated
Set Guide, "Settings, Scope control" to Alt, Az and COM 3(only if you have no COM 3 on the computer)
Set the path to the Guide dir
To get RA,Dec form Guide, select in Guide, "Scope pad, Slew telescope" and in this Form "RA, Dec from Guide "
To slew Guide to the position, the telescope points to in this Form press the "now" button, then the "Calculate RA form Date,Time" button and the "Slew Guide" button,
and in Guide "Scopw pad, Slew Guide"


Settings Computer

Use that form to change settings, depending on the computer like:

-Address of the parallel port.
- Device type - Ethernet address - Operation System
- IRQL priority
-view a control image or not
-Zoom the control image
-Create new directory's by date:
-File format:
-Use common settings:
-Initial dir to save the images
-Copy image to a second computer
-Directory on the second computer
-Chose the default file format
-Set the maximal size for the time stamp file
-Save always timestamp data
-Save ini file

-Adress of the parallel port:
Should be 0x378 (LPT1)
If the camera is not found, check the bios or try different settings, If you are using Windows NT,2000 or XP, set it to 0x0
- Device type: new: parallel ports: LPT1, LPT2, LPT3, USB or Ethernet
- Ethernet adderss, only if the device type is Ethernet, four nubers (max 255)

- Operation System
should be set by the program, when the program was started the first time

- IRQL priority
only for NT,2000 or XP, if you use XP set it to 30 , NT or 2000 you may try values form 2 - 31, you may make some tests: standard image, telescope drive off , you will see some trails of the stars in the image, if some of the pixels in the trails are shifted left (imaging CCD) or right (tracking CCD), set the IRQL priority to a higher value, (or take a drift scan image, dark frame, uncooled CCD, then the hot pixels will cause trails)

- Priority of WinScan
for NT, 2000 or XP, change the priority of WinScan, may be necessary for fast scan images. see: Change Priority
- Shortcut: Create a shortcut on the Desktop.

-View control image:
Positive: white stars on a black background
Negative: black stars on a white background
View no control image: No control image is shown, may increase the readout speed a little.
-Zoom: Zoom in or out, only the control image. Zoom in for small images, and out for large images, which would not fit on the screen. Zooming in may increase the readouttime a little. ( "in 2:1" about 40 us)
- Zoom horizontal only: This may be used for fast scan images, the width of a line is increased, not the hight.
-Range control image:
Default should be 250.
If the image is to bright to identify stars (when using 2 x 2 binning), you may tray a range of about 1000 or more.
The background will be set by an autocontrast function.
There are used different functions to view the control image for standard, drift scan, sub array, speckle and fast scan images, some of this functions will also affect the range.

-Create new directorys by date:
When a image is started, the save dialog is shown.
If the date changes, a new initial dir is created and shown
The name of that dir is chosen by YYMMDDa
YY = year
MM=month
DD=day
a is a if it is am, p if it is pm
28 Mai 2001 am = 010528a
It will be used the date from the intern timer
See: Change Time and Date
If the intern timer is at UT, it will be used UT
The directory's will be created in the initial dir.

-File format:
The file format is chosen by the extension of the filename
fit, FIT, fts , FTS ... = fits file format
all other extensions = SBIG file format
If this item is set to Fits, the default file format in the save dialog will be fit
If you store one image in in Fits file format and the next in SBIG file format, (or frist SBIG next Fits) you should use an other filename, as the .ini and timestamp files are stored with the same filename and extension .ini and .tsf .

-Use common settings:
In the Settings Form you can load and save settings for all kinds of images (like drift scan, standard, speckle, fast scan, sub array ).
It this CheckBox is checked, the Settings Computer, Settings Information's and Settings Temperature will not change.(But nevertheless you should control that Settings )

-Initial dir:
The directory to save the images, or the directory to create sub directory's to save the images

-Copy image to a second computer
After the image is compleate, it will be copied to a second computer
-Directory on the second computer
In this directory the copy of the image will be stored. If the "directorys by date" option is checked, sub directorys will be created. If a file exists on the second computer, it will be renamed before the file is copied . (example: "image.fit" is renamed to "image.fit.b1") .ini and timestamp files are not copied.

-max. timestamp data:
Fill in the maximal number of lines to be saved in the timestamp data
The timestamp data is saved in a file if "Save always timestamp data" is checked or it can be saved form the timestamp form
It can be used to check the accuracy of the timing
If you take fast scan images with very much lines on a computer with only 64 MB or less, set this value not much higher then 100000

-Save always timestamp data:
The timestamp data is always saved in a file, same name, extension "tsf", if this item is checked.
If you take drift scan images, at a moderate focal length(ST-7 less 3000mm) , where you can expect an exact timing, or if you checked the timestamp file form some sample images, and everything was O.K. you can uncheck this option.
The format of the timestamp file will be a text file, so you can read it from other programs.
You can also examine the timestamp data form the timestamp form.

-Save ini file
If this is checked, an ini file is saved, when an image is taken, same file name, extension "ini" , this file contains the settings and additional information's.


Change Priority

To get this function chose: Settings Computer ... - Priority of WinScan.

To change the PRIORITY_CLASS or the THREAD_PRIORITY of the WinScan.
Warning !
 Changing this values may affect the stability of the operation system.
Change this values only if you need a very high timing precesion (like for fast scan images)
If you set the values for THREAD_PRIORITY to THREAD_PRIORITY_TIME_CRITICAL or for PRIORITY_CLASS to REALTIME_PRIORITY_CLASS you may not be able to stop an image.
Changing this values may not be necessary (and may not have an effect) at Windows 95,98 or ME as you can disable breaks at "Settings", when you are using one of this OS. (See "Settings")
Take some test images (can be made without a telescope) and evaluate the TimeStampFile to see if you have to change this values.
For Drift Scan Images the default values THREAD_PRIORITY_NORMAL and NORMAL_PRIORITY_CLASS can be used, the CheckBoxes should not be checked.
For Fast Scan Images and moderat requirements in the accuracy of the timing try THREAD_PRIORITY_HIGHEST and HIGH_PRIORITY_CLASS and check the CheckBoxes.
For Fast Scan Images and high requirements in the accuracy of the timing try THREAD_PRIORITY_TIME_CRITICAL and REALTIME_PRIORITY_CLASS and check the CheckBoxes, but the images can not be stoped .

On the Priority Form you will see:
Button "Hide" - hides the form
Button "Help" - will show this help file
CheckBox " Always use this ThreadPriority for imaging:" :
The ThreadPriority is set to the priority shown in the label below when an image is started and back to the standard after that.
CheckBox " Always use this PriorityClass for imaging: " :
The PriorityClass is set to the priority shown in the label below when an image is started and back to the standard after that.
Labels below will show ThreadPriority and PriorityClass.
Button "Set current ThreadPriority" will set the ThreadPriority to the selected value in the ComboBox. When WinScan is started the next time, ThreadPriority will be at the normal value again.
Button "Priority for imaging"(at the left) will set the ThreadPriority for imaging to the selected value in the ComboBox. This value will be only used when the CheckBox is checked.
Button "Set current PriorityClass" will set the PriorityClass to the selected value in the ComboBox. When WinScan is started the next time, PriorityClass will be at the normal value again.
Button "Priority for imaging"(at the right) will set the PriorityClass for imaging to the selected value in the ComboBox. This value will be only used when the CheckBox is checked.
Button "GetThreadPriority" shows the current ThreadPriority in the Edit field below. There may be used an other ThreadPriority while an image is taken if the CheckBox is checked.
Button "GetPriorityClass" shows the current PriorityClass in the Edit field below. There may be used an other PriorityClass while an image is taken if the CheckBox is checked.
Button "Set current priority to Default" will reset the values to default. There may be used an other values while an image is taken if a CheckBox is checked.


CCD Info

View CCD Info

In this form the CCD Info, read from the camera, is viewed.
You get this form: View - CCD Info
If no camera was found, the values of a ST-7 will be viewed, and an error message is shown.

Selecting dummy camera's:
You can also select of some dummy CCD's, but if you have selected a dummy CCD, you can take no images.
You can check the Settings form and see the properties of the selected camera. (no guarantee that all properties are correct, as I only own a ST-7)
Before taking an image after selecting a dummy camera , select Read CCD Info again from the camera.
I also can not guarantee, that WinScan will run with all that cameras, as the program is tested with a ST-7 only. I you have an other camera and do not get it working with WinScan, please send me some information's, also related to the CCD Info (like: camera type, type number, number of readoutmodes), and I will see if I can fix that. I you get your camera working with WinScan, please also tell me and send me some comments.


Driver Info

The driver info is shown.


Time stamp file

The "Time Stamp Form" can be used to evaluate the time stamp data and to to check the accuracy of the readout times.

The Time Stamp Data is stored in the memory, while a drift scan image, a speckle image, a fast scan image or a sub array image is taken.
There is stored the time stamp data from a maximum number of lines, you can set in "Settings Computer" but it can be taken images with more lines.
It is stored the time, a line is read out form the CCD.
The time at the start of the image is 0 .
To show the data in the ListBox, press "Show Data".
To calculate the standard deviation press "Calculate standard deviation".
The data can be also saved to a file.
To save the ListBox, as it is shown, chose: File , Save ListBox to file
To save the raw data chose: File, Save raw data to file.
To load the data from an older image chose: File, load raw data from file.
The saved files are text files and can be read in by other programs.
The decimal separator in the ListBox can be changed. (affects only the ListBox and storing the raw data in this form, in the rest of the program the decimal separator is ".", outside this program there may be also an other decimal separator )
The column separator can be used to separate the columns in the ListBox. If the data saved form the ListBox is read in form example by excel, decimal separator "." and column separator "tab" should work.
Scale is used to show / save the data in seconds, milliseconds or microseconds.
The "Hide" button will hide the form.
The Edit field "Time per line (should be)" shows the time per line, as set in the Settings Form
The Edit field "mean + 3*sigma (in sec) (Calculate standard deviation)" shows "mean + 3*sigma " after pressing "Calculate standard deviation".
This value can be copied and pasted in the "Time per line in s " (Shiftime) Edit field in the Settings Form
Only drift scan images: If the fist lines (ramping) are not stored, when taking a drift scan image, ("store fist xxx lines" is not checked) the fist timestamp data will be stored, when the first line is stored. If the last lines are read in, ("read last xxx lines" is checked), for that last lines, there is stored no timestamp data, as this lines are read in at closed shutter as fast as possible.

Examples, format of the data:
Drift scan image, fast scan image:
time in ms :
Line Time Difference Error (mean) Error(whole)
Line: the number of the line, first line is line number "0"
Time: the time the line is read out.
Difference = TimeLine[n] - TimeLine[n-1];
Error(mean) First the mean time to read out a line is calculated.
Error(mean)=mean - Difference;
Error(whole) The whole error.
Error(whole) = TimeLine[n] - n * Shiftime;
Shifttime is "Time per line in s" set in the Settings Form.

Speckle image:
Like the data of a drift scan image, but a new frame is indicated with "n"

Sub frame image:
B indicates the begin of a sub frame
E indicates the end of a sub frame
In the next column the number of the sub frame is stored.
Then the time is stored.
Then the difference of the time and the time in the last line is stored
The difference in a "B" line is the time it takes to shift the lines one sub frame, if this time is to large, you will get some steaking. To avoid that, the tracking CCD should be used.
The difference in a "E" line is the time the sub frame is exposed
There are taken more sub frames as fits on the CCD to avoid effects by opening the Shutter, but of course there are only stored the last sub frames which fits on the CCD.

Effect of the accuracy of the timing in drift scan images:
Taking a drift scam image, every line must be read out at a definite time.
If one line is read out a little late, the next line will be read out earlier, that will be no problem
The first lines of the image may be read a little late, this will only degrade the first lines of the image.
If there are read out many lines to late, or if the necessary read out speed can not be reached, the quality of the image will degraded.
This may happen, if you use a very long focal length at 1 x 1 binning.
ST-7 > 4 m
ST-8 > 2 m
After taking an image, a message is shown, in this message you can check also if the necessary read out speed is reached.
If the focal length is to long, you will see this in the data.
Do not run a second active program, which requires processor time at the same time.
Don't select an other window, mousing should be avoided while taking an image.
It can be selected 2 x 2 binning, you will have a faster readout speed and have to read out a line half as often.
Or use the planetary mode (but this will decrease the FOV)
Disabling brake (or Esc Key) while taking an image may also increase the readout speed a little.
Viewing no control image (See: "Settings Computer") may also increase the readout speed a little.
Taking fast scan images, it should be used at "Brake(ESC) while taking an image" the "only Esc key" feature (only avalible at Windows 95, 98 or ME) and the image should be stored to the memory first
Using NR, 2000 or XP you may change the priority of WinScan, see: Change Priority
If you are using a fast scan image to observe lunar occultations or so, errors in the readout times may cause errors in the pixel values, so you may use the Time Stamp File to correct wrong pixel values. But take care of the y - position of the star.


Control image

In this Form a control image is shown, while taking an image.
This Control image has the only function, to see if every thing works, while the image is taken.
It is independent form the Control image, whether the image is stored on the hard disk or not
See also: Settings Computer - view a control image or not.
(This Form will be shown, even if that item is set to "View no control image", but then no image is shown. You need this -Form, if you want to stop the image by pressing "Esc")
And: Settings- Focus (The image is not stored, if Focus is checked)
Taking a drift scan image, (or Speckle image or Fast scan image) it is shown line after line.
(The lines are also stored on the hard disk line after line, while taking an image)
If the bottom of the Form is reached, the next line is shown at the top, and the following lines will cover the lines which are already shown
The autocontrast function of the control image works on a per line basis.
While a bright object passes, the value of the backgound to display the line is set higher, after that the background is set lower again after some time.
So there may be some artificial horizontal stuctures, in the control image, not in the stored image file.
There are used different functions to view the control image for standard, drift scan, sub array, speckle and fast scan images.
When taking many standard images by the autograb function, a standard image is shown, after it is complete. Taking one standard image, it is shown while it is read out line by line.
When the image is complete, a message is shown.
To see the whole image, after it is taken, use ViewScan or an other program.
(ViewScan has a button, labeled "WS" to load the last image taken by WinScan)
You can press the "Esc" key / button, to stop the image.
(Only if Settings - "Brake(ESC) while taking an image" is enabled)
The "Hide" button will hide this form.
While an image is taken, you should not change to an other form or to an other program
Mousing should be avoided
Taking a standard image, you will see the WinScan main form, while the image is exposed.
Taking a Sub array image, this Form is shown, after a short time, when the exposure is complete, the lines will be shown, while they are read out.

The "Help" button will show this help.
The "Clear" button will clear this Form.


Change Time and Date

At this form time and date can be changed

To show help to an element, move the mouse cursor at the element and press the right mouse button and chose "Help".
This program uses a intern timer. When the program starts, it is requested, if the intern timer should be set to UT. This timer can be set to the system timer, or the time can be changed.
At the top of the form, time and date will be shown.
A bit lower there are edit fields to change the time.
Input the current time and date and minutes ahead UT (or minutes ahead system time) then press "Set the WinScan- Timer to the changed time"
If you chose UT, the intern timer of WinScan will be set to UT, the system timer works still at local time.
The system timer is adjusted by the intern timer of WinScan.
The frequency of the CPU is needed to adjust the intern timer of WinScan. It is tested when the program starts, and can be tested again.
It may differ a little form the frequency the CPU should word at.
You may check the "Always use the current frequency " checkbox, (faster program start), if you are shure, that the frequency will not change. (leave it unchecked if you are using a SpeedStep processor for example.)
Using a SpeedStep processor the speed step feature must be disabled, the frequency of the CPU must not change, while WinScan is running.

The Pentium 4 has a Termal Monitor with a clock modulation portion, it that clock modulation portion is active, it may affect the timer when a critical termperature is reached, just check if the intern timer of WinScan works properly.(compare it with an extern time source)
If the system timer is at UT, set minutes ahead UT to 0.
The settings ( set to UT, minutes ahead UT, frequency of the CPU ) are saved, when the form is closed.

If you want correct the system timer using a program to access a time server, after taking an image, you should press the "Set WinScan-Timer to system timer <-" button in the Change_Time_Date Form after that.
Or exit WinScan, then correct the system timer, and then start WinScan again.
(WinScan uses an intern timer, which is adjusted by the system timer at the start of the program)
You may use programs to access a time server like:
About Time extern link
Calibrate:
This may be useful, if you notice differences between the intern timer of WinScan and an extern time source.
To calibrate the frequency of the CPU by an extern time source, for example a program to set the system timer by an internet time server:
Set the system timer to the current time.(using an extern time source)
Start WinScan and let it run about an hour or more.
While WinScan runs, set the system timer to the current time again.(using an extern time source)
Press the "Calibrate" button in the Change_Time_Date Form (near the bottom)
Answer the questions with "Yes".
The frequency of the CPU will be calculated by the extern time source and the intern timer of WinScan is set to the current time of the system timer.
The calculated frequency is saved and will be used when WinScan is started next.
The "Always use the current frequency" checkbox will checked by pressing the "Calibrate" button.


Help

The help file will be shown.
The file is in the *.chm format.


About

The about dialog will be shown.
Press the right mouse button in the Edit-fields,
to copy to e-mail address or the URL of the web page.

You can also start a web browser to see my homepage or an e-mail client to send me an e-mail.


Set initial dir

This form can be used to change the initial dir,
where the image files will be stored.
A new directory can be also created.
See also: "Settings Computer "
If in "Settings Computer" the option:
"Create directory's by date (YYMMDDa)"
is activated, it will be created a new directory if the date changes, or it the time changes form am to pm.
(Time form the intern WinScan timer, this may be set to UT)
If this option is not activated,
the files will be stored in the initial dir.
In the DirectoryListBox, you can click to change the directory
click right to show the context menu.
To access network folders or the desktop or so,
use the "OpenDialog" button
The "SelectDirectory" button shows an other dialog in Win95 style .
Press OK when you have chosen the initial directory.
Press Cancel, if you do not want to change the directory.


Orientation

Check the orientation of the camera, before you take a drift scan image

If the camera is in the right orientation, a star moves, at shut of telescope drive, form the bottom(east) to the top(west) of the image (from one standard image to the next). To adjust the orientation exact, take a standard image with trails of the stars (Turn off the clock drive of the telescope).Use an exposure time, a little shorter than the time a star needs to move from the bottom to the top of the image, so the ends of the trails are visible.(about 60 sec) A trail of a star should be exact at one column. (You can use a program like CCDOPS and check that using the X-Hairs). If necessary rotate the camera carefully. As the orientation of the camera should be more exact than 0.1 deg (ST-7) or 0.05 (ST-8), it may be necessary to build an attachment for the camera, which enables to rotate the camera exactly.


SBIG file format

Overview ower the SBIG file format, like it is used in WinScan.

The original SBIG file format, see: www.sbig.com

There are added a few items to the SBIG file format
An example of the file header written by WinScan:
ST-7 Image
File_version=3
Data_version=1
Exposure=8413
Focal_length=29.567
Aperture=28.2200
Response_factor=2000.000
Note=Sekunden je Reihe 0.164969755254731
Background=200
Range=1000
Height=2000
Width=765
Date=12/10/01
Time=11:21:19
Exposure_state=293
Temperature=24.46
Number_exposures=1
Each_exposure=8413
History=R
Observer=Christoph_Flohr
X_pixel_size=0.0090
Y_pixel_size=0.0090
Pedestal=0
E_gain=2.30
User_1=WinScan
User_2=-
User_3=-
User_4=Y2KYear=2001
Filter=None
Readout_mode=0
Track_time=0
Sat_level=65535
An_other_note=ANote1
Shiftime=0.16496975525473
Declination=5.0000000000
Right_ascension=1000.1757600000
TIME_OBS=11:21:18.67
KindImg=DriftScan
End

Some explanations:
ST-7 Image
- WinScan can only store uncompressed images
File_version=3
Data_version=1
Exposure=8413
- in 1/100 seconds =84.13 seconds
- drift scan images: effective exposure time, =
the time, a star needs to move over the CCD=
number of lines of the CCD * Shiftime
if there are read in fewer lines, with open
- shutter, as lines are on the CCD
- Exposure = Shiftime * lines read in while shutter open
- Standard image: Time the shutter is open
- sub array image: The time, one sub array is exposed
- speckle image: The time one sub array of the speckle image is exposed
- fast scan image: The time, to read out one line, same as Shiftime
Focal_length=29.567
- in inch
Aperture=28.2200
- in inch^2
Response_factor=2000.000
Note=Sekunden je Reihe 0.164969755254731
- The time to read out one line, see: Shiftime
Background=200
Range=1000
Height=2000
Width=765
Date=12/10/01
Time=11:21:19
-should be UT
Exposure_state=293
Temperature=24.46
Number_exposures=1
Each_exposure=8413
-same as Exposure, as WinScan does not support track and accumulate
History=R
Observer=Christoph_Flohr
X_pixel_size=0.0090
Y_pixel_size=0.0090
Pedestal=0
E_gain=2.30
User_1=WinScan
User_2=-
User_3=-
User_4=Y2KYear=2001
Filter=None
Readout_mode=0
Track_time=0
Sat_level=65535
An_other_note=ANote1
- a comment
Shiftime=0.16496975525473
- The time to read out one line
not used for Standard images and sub array images
This is calculated in the settings form for drift scan images form focal length, declination, pixel height and sideral rate.
For speckle images and fast scan images this is filled in in the settings form. To check, if the shifttime is reached, check the timestamp data.
Declination=5.0000000000
- form the settings form
Right_ascension=1000.1757600000
- in the settings information's form the RA of the start of the image can be filled in, processing the image in ViewScan may change this
if unknown, set to 1000
TIME_OBS=11:21:18.67
- same as time
KindImg=DriftScan
-kind of image:
- 'DriftScan' for drift scan images
- 'Standard' for standard images
- 'SubArray' for sub array images
- 'Speckle' for speckle images
- 'FastScan' for fast scan images
End


Fits File Format

 The Fits file format, like it is written by WinScan:

Sample of the fits data header, written by WinScan, when a drift scan image was taken:
SIMPLE = T
BITPIX = 16
NAXIS = 2
NAXIS1 = 765
NAXIS2 = 2000
OBJECT = 'OBJECT'
DATE = '2001-12-09'
DATE-OBS= '2001-12-09'
TIME-OBS= '17:11:18.09'
INSTRUME= 'SBIG ST-7'
TELESCOP= 'TELESCOP'
OBSERVER= 'Christoph Flohr'
BZERO = 32768
BSCALE = 1
ORIGIN = 'WinScan 1.01'
EXPTIME = 84.1345751799128
SNAPSHOT= 1
EACHSNAP= 84.1345751799128
PIXWIDTH= 0.009
PIXHEIGH= 0.009
CCD-TEMP= 25.63
RESPONSE= 2000
GAIN = 2.3
FOCALLEN= 29.567
APERTURE= 28.22
FILTER = 'None'
BACKGRND= 200
RANGE = 1000
HISTORY = 'R'
PEDESTAL= 0
TRAKTIME= 0
DATAMAX = 65535
SHIFTIME= 0.16496975525473
DECLINAT= 5
RIGHTACE= 1000
CTYPE1 = 'RA---CAR' / RA - plate carree projection
CTYPE2 = 'DEC--CAR' / DEC - plate carree projection
CRVAL1 = 116.61197040000 / RA in decimal degrees.
CRVAL2 = 5.23835475300 / DEC in decimal degrees.
CRPIX1 = 382.50000 / X pixel of tangent point
CRPIX2 = 1000.00 / Y pixel of tangent point
CDELT1 = 0.0006866182017850 / X degrees per pixel
CDELT2 = -0.000686632196636 / Y degrees per pixel
CROTA1 = 90.00 / rotation of the axis
CROTA2 = 90.00 / rotation of the axis
EQUINOX = 2000.0000
KINDIMG = 'DriftScan'
COMMENT Sekunden je Reihe 0.164969755254731
COMMENT ANote1
COMMENT -
COMMENT -
COMMENT Y2KYear=2001
END

Some explanations :
SIMPLE = T
BITPIX = 16
NAXIS = 2
NAXIS1 = 765
NAXIS2 = 2000
OBJECT = 'OBJECT'
DATE = '2001-12-09'
DATE-OBS= '2001-12-09'
TIME-OBS= '17:11:18.09'
-should be UT
INSTRUME= 'SBIG ST-7'
-set by WinScan
TELESCOP= 'TELESCOP'
OBSERVER= 'Christoph Flohr'
BZERO = 32768
BSCALE = 1
ORIGIN = 'WinScan 1.01'
EXPTIME = 84.1345751799128
- in seconds:
- drift scan images: effective exposure time, =
the time, a star needs to move over the CCD=
number of lines of the CCD * Shiftime
if there are read in fewer lines, with open
shutter, as lines are on the CCD
- EXPTIME = Shiftime * lines read in while shutter open
- Standard image: Time the shutter is open
- sub array image: The time, one sub array is exposed
- speckle image: The time one sub array of the speckle image is exposed
- fast scan image: The time, to read out one line, same as Shiftime
SNAPSHOT= 1
EACHSNAP= 84.1345751799128
-same as EXPTIME, as WinScan does not support track and accumulate
PIXWIDTH= 0.009
PIXHEIGH= 0.009
CCD-TEMP= 25.63
RESPONSE= 2000
GAIN = 2.3
FOCALLEN= 29.567
- in inch
APERTURE= 28.22
- in inch^2
FILTER = 'None'
BACKGRND= 200
RANGE = 1000
HISTORY = 'R'
PEDESTAL= 0
TRAKTIME= 0
DATAMAX = 65535
SHIFTIME= 0.16496975525473
- The time to read out one line
not used for Standard images and sub array images
This is calculated in the settings form for drift scan images form focal length, declination, pixel height and sideral rate.
For speckle images and fast scan images this is filled in in the settings form. To check, if the shifttime is reached, check the timestamp data.
DECLINAT= 5
- form the settings form
RIGHTACE= 1000
- in the settings informations form the RA of the start of the image can be filled in, processing the image in ViewScan may change this
if unknown, set to 1000
CTYPE1 = 'RA---CAR' / RA - plate carree projection
CTYPE2 = 'DEC--CAR' / DEC - plate carree projection
CRVAL1 = 116.61197040000 / RA in decimal degrees.
CRVAL2 = 5.23835475300 / DEC in decimal degrees.
CRPIX1 = 382.50000 / X pixel of tangent point
CRPIX2 = 1000.00 / Y pixel of tangent point
CDELT1 = 0.0006866182017850 / X degrees per pixel
CDELT2 = -0.000686632196636 / Y degrees per pixel
CROTA1 = 90.00 / rotation of the axis
CROTA2 = 90.00 / rotation of the axis
EQUINOX = 2000.0000
KINDIMG = 'DriftScan'
-kind of image:
- 'DriftScan' for drift scan images
- 'Standard' for standard images
- 'SubArray' for sub array images
- 'Speckle' for speckle images
- 'FastScan' for fast scan images
COMMENT Sekunden je Reihe 0.164969755254731
COMMENT ANote1
COMMENT -
COMMENT -
COMMENT Y2KYear=2001
COMMENT -
END
WinScan always stores a 5760 byte file header for fits images.


SIMPLE  =                    T /this file conforms to the FITS standar
BITPIX  =                   16 / it consists of 16 -bit 2s complement
NAXIS   =                    2 / the data is an image(two-dimensional)
NAXIS1  =                  765 / width of the image in pixels
NAXIS2  =                 1000 / height of the image in pixels
BZERO   =          32768.00000 / pixel_value=BZERO+BSCALE*array_value
BSCALE  =                 1.00 / pixel_value=BZERO+BSCALE*array_value
OBJECT  = 'Object'                   /subject of this image
DATE    = '2002-02-09'
DATE-OBS= '2002-02-09T23:00:54.42'   / UT date of integration
TIME-OBS= '23:00:54.42'              / UT time
COMMENT The Time and Date in UT the first line of the image file
COMMENT    was read out form the CCD
INSTRUME= 'SBIG ST-7'                / Camera Type
TELESCOP= 'Telescope'                / telescope used to take this ima
OBSERVER= 'Observers_name'           / name of the observer
ORIGIN  = 'WinScan2.01'              / software to take this image
EXPTIME =   84.249064117639577 / effective exposure time
EXPOSURE=   84.249064117639577 / effective exposure time
COMMENT  SHIFTIME * CCDHEIGH, time to shift all lines from the CCD
EACHSNAP=             84.24000 / each exposure
PIXWIDTH=              0.00900 / in mm
PIXHEIGH=              0.00900 / in mm
CCD-TEMP=             26.23000 / temperature of the CCD in Celsius
GAIN    =                2.300 / e-gain
FOCALLEN=            29.567000 / in inch
APERTURE=             99.99000 /in  square_inch
FILTER  = 'None'                     / filter used
BACKGRND=                  200 / to display the image
RANGE   =                 1000 / to display the image
HISTORY R
DATAMAX =                65535 / max value in the data
DRIFTSCN= '+Y'                       / SHIFTIME increases in +Y direct
SHIFTIME=   0.1651942433679200 / interval to read out one line
DECLINAT=           5.82250700 / center of the image
RIGHTACE=      145.71719080000 / center of the image
CTYPE1  = 'RA---CAR'                 / RA  - plate carree projection
CTYPE2  = 'DEC--CAR'                 / DEC - plate carree projection
CRVAL1  =      145.71719080000 / RA  in decimal degrees.
CRVAL2  =           5.82250700 / DEC in decimal degrees.
CRPIX1  =            382.50000 /  X pixel reference point
CRPIX2  =              500.000 /  Y pixel reference point
CDELT1  =   0.0006866338421691 / Y degrees per pixel
CDELT2  =   -0.000686632196636 / X degrees per pixel
CROTA1  =                90.00 / rotation of the axis
CROTA2  =                90.00 / rotation of the axis
EQUINOX =            2000.0000
COMMENT  CROTA1=90.0,CROTA2=90.0 so that axis 2 in  physical space
COMMENT  corresponds to axis 1 in pixel space and vice versa.
COMMENT  The most rapidly varying axis is axis 1 (in pixel space),
COMMENT  described by the values of NAXIS1 and CRPIX1.
COMMENT  The corresponding physical axis is the one (y)
COMMENT  described by CTYPE2, CRVAL2, and CDELT2.
KINDIMG = 'DriftScan'                / kind of image:standard, drift s
CCDHEIGH=                  510 / number of lines on the CCD
RAMPSTAR=                  510 / ramping, lines at the start of the im
RAMPEND =                    0 / ramping, lines at the end of the imag
COMMENT Sekunden je Reihe 0.165194243367921
COMMENT WinScan2.01
COMMENT -
COMMENT -
COMMENT Y2KYear=2002
COMMENT Comment
COMMENT ANote
END


ViewScan

 ViewScan is a program to to examine drift scan images.
You can download it from my homepage:
My homepage (extern link)
It is a beta version. If you use it for astrometrie, you should check the results, by a second program.


Check readout times using hot pixels

You can check the accuracy of the readout times by the time stamp file.
Time Stamp File
In the Time Stamp File the times the program reads out a line are stored.
This should be exact enough for most circumstances. Only if you have doubts in the function of the program, you may check it like that:

You can use one of the hot pixels on the CCD to check, if the intervals between reading out the lines are equal.
If you take a drift scan image with closed shutter (dark frame), a hot pixel will cause a "hot column". ( uncooled CCD)
(If you don't have a hot pixel on your CCD, you may use your telescope and an artificial star instead )
After the ramping, the values in that column should only change in the reach of the readout noise.
If one line is read out to late, the value at the position of the hot pixel will increase.
So you will get changes in the brightness of that hot column.
(The next line should be read earlier, so the value may decrease after that.)
There should be a correlation between the Time Stamp File and that hot column, but regard the y position of the hot pixel.
There is a linear correlation between the readout time and the pixel values in the hot column.
You may save that hot column as text file and load it to excel, to view it as diagram.
Here is an example, in this image some lines are read to late, because as a second program was started, while an image was taken.
(While taking a drift scan image, do not touch the computer)

(The y axis indicates the pixel values, the x axis the y position )


Charon and drift scan images

Charon and drift scan images taken by WinScan

Charon is a program written by Bill J. Gray see: Charon(extern link)

To use Charon to examine drift scan images,
fill in the settings in Charon like this:

Report file name | mpc.log | Saturation point | 32000
Cutoff point | 0.950 | Focal len (inches) | 29.53
Image offset | 0 | Pix width (microns) | 9.00
Scale tolerance (large images 0.1) | 0.010 | Pix height(microns) | 9.00
Search distance (large images about 4.0 ) | 0.50 | SBIG file format: Image is uninverted FITS: Image is inverted |
Observer code | 0 | Match to GSC-ACT |
Time offset | 0.0 | File date gives end of exposure |
Maximum residual (large images 2.0) | 1.0 | Mag limit: | 18.00
Number stars used | 7 | D:\GJG\TAU20.ST7 |
White stars on black |  | Object name: | GSC 1267 237
RA/dec in decimal seconds |  | Simple centroiding |
Video mode: | 320 x 200 | Max tilt angle: | 90.00 +/- 4.00
Linear (first-order) fit |  | Photometric band: |
Centroid size | 5 | Save settings |

Charon will calculate a correct mid exposure time for drift scan images .
( but only outside the ramping )
In images in SBIG file format, a line:
Note = Sekunden je Reihe 0.17810216469252
should be present
or start Charon with the argument -d
To use drift scaned FITS files, start Charon always with the argument -d
To start Charon with the argunment -d, first start Charon without arguments and fill in the settings, and then start Charon with the argument -d, you may add arguments for the image file and for the object like:
C:\GuideDN\jup_part.fit -ogsc 1895 575 -d
The time and date in the file info of an image taken by WinScan, will indicate the time, when the first line of the image is read out. Therefore in Charon it is necessary to set: File date gives end of exposure
In files sliced from JimsSilce or ViewScan the time in the file info is also the time, the first line (of the new file) is read out, same settings as mentioned before.
When using FITS files you must fill in the focal len and the pixel size in Charon in the settings, using SBIG files, these values are taken from the file header.
It is also important to set:
Images SBIG file fomat: Image is uninverted
Images FITS file fomat: Image is inverted
Max tilt angle: 90.00 +/- 4.00
(Max tilt angle: 90.00 +/- 1.00 should also work)
(In images taken by WinScan West is at the top)
In large images,it should be set:
Maximum residual 2.0
Search distance 2 or 4 or more, depends on the size of the image

If Charon don't works with that settings, try to change some items
It may be easier to use smaller or sliced images
(I got Charon work with images up to 765 * 10000 pixels, but the settings in Charon have to be adjusted very carefully)

In large images, it may help, to fill in the exact RA and DEC of the center of the image (at Object name)(ViewScan can calculate the center of an image).
Video mode: try different settings


Special thanks to

 Special thanks to:
Octavi Fors, for many ideas and for testing SCAN and WinScan.
Bill J. Gray for testing drift scan images in Charon.
Thanks for all responses form users of SCAN.


Time Stamp Form

The Time Stamp Form can be used to evaluate the timestamp data and to to check the accuracy of the readout times.

The Time Stamp Data is stored in the memory, while a drift scan image, a speckle image, a fast scan image or a sub array image is taken.
There is stored the time stamp data from maximal number of lines, which can be set in Settings Computer, but it can be taken images with much more lines
It is stored the time, a line is read out form the CCD.
The time at the start of the image is 0 .
To show the data in the ListBox, press "Show Data".
To calculate the standard deviation press "Calculate standard deviation".
The data can be also saved to a file.
To save the ListBox, as it is shown, chose: File , Save ListBox to file.
To save the raw data chose: File, Save raw data to file.
The saved files are text files and can be read in by other programs.
The decimal separator in the ListBox can be changed. (affects only the ListBox in this form, in the rest of the program the decimal separator is "." )
The column separator can be used to separate the columns in the ListBox. If the data saved form the ListBox is read in form example by excel, decimal separator "." and column separator "tab" should work.
Scale is used to show / save the data in seconds, milliseconds or microseconds (ListBox, raw data is always in seconds).
The "Hide" button will hide the form.
The Edit field "Time per line (should be)" shows the time per line, as set in the Settings Form
The Edit field "mean + 3*sigma (in sec) (Calculate standard deviation)" shows "mean + 3*sigma " after pressing "Calculate standard deviation".
This value can be copied and pasted in the "Time per line in s " (Shiftime) Edit field in the Settings Form (for speckle or fast scan images)

Examples, format of the data:
Drift scan image, fast scan image:
time in ms :
Line Time Difference Error (mean) Error(whole)
Line: the number of the line
Time: the time the line is read out.
Difference = TimeLine[n] - TimeLine[n-1];
Error(mean) First the mean time to read out a line is calculated.
Error(mean)=mean - Difference;
Error(whole) The whole error.
Error(whole) = TimeLine[n] - n * Shiftime;
Shifttime is "Time per line in s" set in the Settings Form.

Speckle image:
Like the data of a drift scan image, except, a new frame is indicated with "n"

Sub frame image:
B indicates the begin of a sub frame
E indicates the end of a sub frame
In the next column the number of the sub frame is shown.
Then the time is shown.
Then the difference of the time and the time in the last line is shown
The difference in a "B" line is the time it takes to shift the lines one sub frame, if this time is to large, you will get some steaking. To avoid that, the tracking CCD should be used.
The difference in a "E" line is the time the sub frame is exposed
There are taken more sub frames as fits on the CCD to avoid effects by opening the Shutter, but of course there are only stored the last sub frames which fits on the CCD.

Effect of the accuracy of the timing in drift scan images:
Taking a drift scam image, every line must be read out at a definite time.
If one line is read out a little late, the next line will be read out earlier, that will be no problem
The first lines of the image may be read a little late, this will only degrade the first lines of the image.
If there are read out many lines to late, or if the necessary read out speed can not be reached, the quality of the image will degraded.
This may happen, if you use a very long focal length at 1 x 1 binning.
ST-7 > 4 m
ST-8 > 2 m
After taking an image, a message is shown, in this message you can check also if the necessary read out speed is reached.
If the focal length is to long, you will see this in the data.
Do not run a second active program, which requires processor time at the same time.
Don't select an other window, mousing should be avoided while taking an image.
It can be selected 2 x 2 binning, you will have a faster readout speed and have to read out a line half as often.
Or use the planetary mode (but this will decrease the FOV)
Disabling brake while taking an image may also increase the readout speed a little.